petsc-3.7.7 2017-09-25
Report Typos and Errors

# VecCUDAResetArray

Resets a vector to use its default memory. Call this after the use of VecCUDAPlaceArray().

### Synopsis

    PetscErrorCode VecCUDAResetArray(Vec vin)

Not Collective

### Input Parameters

vec -the vector

### See Also

VecGetArray(), VecRestoreArray(), VecReplaceArray(), VecPlaceArray(), VecResetArray(), VecCUDAPlaceArray(), VecCUDAReplaceArray()

Level:developer
Location:src/vec/vec/impls/seq/seqcuda/veccuda2.cu
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages